IPSW-IMG4-IM4P-CREATE(1)

NAME
ipsw-img4-im4p-create - Create IM4P payload from raw data

SYNOPSIS
ipsw img4 im4p create [flags]

DESCRIPTION
Create IM4P payload from raw data

OPTIONS
-c, --compress="none"
    Compress payload (none, lzss, lzfse, lzfse_iboot)

-e, --extra=""
    Extra data file to append

-h, --help[=false]
    help for create

-o, --output=""
    Output file path

-t, --type=""
    Type string (required)

-v, --version=""
    Version string

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Create IM4P from kernel with LZSS compression
    ❯ ipsw img4 im4p create --type krnl --compress lzss kernelcache.bin
    # Create IM4P with version and extra data
    ❯ ipsw img4 im4p create --type rkrn --version "RestoreKernel" --compress lzss --extra extra.bin kernel.bin
    # Create uncompressed IM4P
    ❯ ipsw img4 im4p create --type logo --compress none logo.png
    # Create with custom output path
    ❯ ipsw img4 im4p create --type dtre --output devicetree.im4p devicetree.bin

SEE ALSO
ipsw-img4-im4p(1)

HISTORY
5-Aug-2026 Auto generated by spf13/cobra